Technical FAQs

Ask a Question

How to upgrade XBTL application with Siemens MPI driver?

Goals and Symptoms

How to upgrade XBTL application with Siemens MPI driver?

Facts and Changes

- for terminal XBTF024110 (CPU base 386): the MPI driver to select was "Siemens MPI S7", with XBTL version < V4.42
- for terminal XBTF024110(2) (CPU base Celeron, ROHS board): the MPI driver is now "MPI 3964R S7", and a gateway XBTZ979 must be added, with XBTL version > V4.42 : we recommand to use XBTL V4.51

Causes and Fixes

>>> Regarding Software:
- Use XBTL V4.51, and open the "old" application.
-Change terminal type from XBTFxx to the equivalent XBTFxx(2)
- save the application as "new"
- When upgrading an application (from "old" to "new"), you must consider those main differences about variable types:
1). Word -> Same in old and new applications
2). Double Word -> Same in old and new applications
3). Bit -> Some of them are different

Some of the bit addresses could not be converted correctly, it is due to the respective internal treatment of these two protocols in L1000.


Protocol Siemens S7 MPI MPI (3964R S7)
Bit Format %DBk Wi,j DBn DBXi.j
j 0~15 0~7

The conversion expression is:
IF J > 7 THEN
J -= 8; // Because the value of j cannot be more than 7 in MPI(3964R7) protocol.
ENDIF

>>> Regarding Hardware:

Add the following to connect XBTF to SiemensPLC:
- XBTZ 979 gateway
- XBT-Z9722 cable (provided with XBT-Z979)

Was this helpful?
What can we do to improve the information ?